import { UserTableListType } from '@/types'

// 已经被删除的用户id集合
export function findMissingIds(users: UserTableListType[], idsToCheck: number[]): number[] {
  // 创建用户ID集合便于快速查找
  const userIds = new Set(users.map(user => user.id))
  // 过滤出不存在于用户数据的ID

  return idsToCheck.filter(id => !userIds.has(id))
}
